@import "modules.scss";
@import "partials.scss";

.nibo-bracket__stages {
  @include flex($flex-direction: row);
  width: 720px;
}

.nibo-bracket__node {
  @include flex($align-item: center);
  height: 180px;
  width: 260px;
  position: relative;
  .nibo-bracket__players {
    @include flex($flex-direction: column, $justify-content: space-between);
    height: 150px;
    width: 240px;
    position: relative;

    .nibo-bracket__player {
      @include flex($align-item: center, $justify-content: center);
      width: 150px;
      height: 50px;
      position: relative;
      background-color: #383b4c;
      font-family: "robotothin";
      font-size: 0.9rem;
      border: none;
      color: #fff;
      &:hover {
        cursor: pointer;
        background-color: #1b81a2;
        transition: 800ms;
        box-shadow: 0 0 5px rgba(27, 129, 162, 0.7);
        &::after {
          background-color: #1b81a2;
          transition: 500ms;
        }
      }
      &::after {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 100%;
        margin: auto;
        display: block;
        width: 60%;
        height: 1px;
        background-color: #383b4c;
      }
      &.nibo-playerSemi {
        &:hover {}
      }
      &.disable {
        &:hover {
          cursor: not-allowed;
        }
      }
    }
    &::after {
      content: "";
      display: block;
      position: absolute;
      right: 0;
      top: 0;
      bottom: 0;
      width: 1px;
      height: 65%;
      margin: auto;
      background-color: #383b4c;
    }

    &::before {
      content: "";
      display: block;
      position: absolute;
      right: -30px;
      top: 0;
      bottom: 0;
      width: 30px;
      height: 1px;
      margin: auto;
      background-color: #383b4c;
    }
  }
}

.nibo-bracket__stageOne {
  @include flex($flex-direction: column, $justify-content: space-between);
  min-height: 350px;
  max-height: 100vh;
  width: 270px;
}

.nibo-bracket__stageTwo {
  position: relative;
  .nibo-bracket__node {
    .nibo-bracket__players {
      @include flex($flex-direction: row, $align-item: center);
      .nibo-bracket__player {
        &::after {
          width: 40%;
        }
      }
      &::before {
        content: "inherit";
        display: none;
      }
      &::after {
        content: "inherit";
        display: none;
      }
    }
  }
  &:after {
    content: "";
    width: 1px;
    height: 50%;
    display: block;
    position: absolute;
    right: 50px;
    top: 0;
    bottom: 0;
    margin: auto;
    background-color: #383b4c;
  }
}

.nibo-bracket__stageThree {
  .nibo-bracket__node {
    height: 360px;
    .nibo-bracket__players {
      @include flex($flex-direction: row, $align-item: center);
      .nibo-bracket__player {
        position: relative;
        &::before {
          content: "";
          display: block;
          width: 50px;
          height: 1px;
          left: -50px;
          bottom: 0;
          top: 0;
          margin: auto;
          position: absolute;
          background-color: #383b4c;
        }
        &:after {
          content: inherit;
          display: none;
        }
      }
      &::before {
        content: "inherit";
        display: none;
      }
      &::after {
        content: "inherit";
        display: none;
      }
    }
  }
}

.nibo-page__container {
  @include flex($align-item: center, $justify-content: center);
  height: 100vh;
  width: 100vw;
  background-color: #272a38;
  .nibo-page__content {
    @include flex($justify-content: center, $flex-direction: column);
    .nibo-bracket__stages {
    }
  }
}

.nibo-playersSelect__container {
  .nibo-playersSelect__items {
    @include flex($flex-direction: row, $justify-content:space-between);
    list-style: none;
    .nibo-playersSelect__item {
      position: relative;
      transition: 800ms;
      filter: grayscale(0.7);
      .nibo-playerSelect__tech {
        @include flex($align-item: center, $justify-content: center);
        height: 250px;
        width: 135px;
        overflow: hidden;
        img {
          height: 100%;
          width: auto;
        }
      }
      .nibo-playerSelect__boarder {
        position: absolute;
        top: -10px;
        left: -5px;
        height: 250px;
        width: 135px;

        img {
          height: 260px;
          width: 145px;
        }
      }
      &:hover {
        cursor: pointer;
        transition: all 0.5s ease-in-out;
        box-shadow: 0 0 10px rgba(194, 151, 10, 0.7);
        filter: grayscale(0);
        transform: translateY(-10px);
      }
      &.nibo-playerSelected {
        cursor: not-allowed;
        filter: grayscale(1);
      }
    }
  }
}

